diff --git a/doc/guides/cryptodevs/aesni_gcm.rst b/doc/guides/cryptodevs/aesni_gcm.rst
index ba9ecb5b4..84cdc52ab 100644
--- a/doc/guides/cryptodevs/aesni_gcm.rst
+++ b/doc/guides/cryptodevs/aesni_gcm.rst
@@ -67,9 +67,9 @@ In order to enable this virtual crypto PMD, user must:
 
 To use the PMD in an application, user must:
 
-* Call rte_eal_vdev_init("crypto_aesni_gcm") within the application.
+* Call rte_vdev_init("crypto_aesni_gcm") within the application.
 
-* Use --vdev="crypto_aesni_gcm" in the EAL options, which will call rte_eal_vdev_init() internally.
+* Use --vdev="crypto_aesni_gcm" in the EAL options, which will call rte_vdev_init() internally.
 
 The following parameters (all optional) can be provided in the previous two calls:
 
diff --git a/doc/guides/cryptodevs/aesni_mb.rst b/doc/guides/cryptodevs/aesni_mb.rst
index 1a0402325..ecb52a10d 100644
--- a/doc/guides/cryptodevs/aesni_mb.rst
+++ b/doc/guides/cryptodevs/aesni_mb.rst
@@ -113,9 +113,9 @@ In order to enable this virtual crypto PMD, user must:
 
 To use the PMD in an application, user must:
 
-* Call rte_eal_vdev_init("crypto_aesni_mb") within the application.
+* Call rte_vdev_init("crypto_aesni_mb") within the application.
 
-* Use --vdev="crypto_aesni_mb" in the EAL options, which will call rte_eal_vdev_init() internally.
+* Use --vdev="crypto_aesni_mb" in the EAL options, which will call rte_vdev_init() internally.
 
 The following parameters (all optional) can be provided in the previous two calls:
 
diff --git a/doc/guides/cryptodevs/kasumi.rst b/doc/guides/cryptodevs/kasumi.rst
index bb8522b9e..bff9321e3 100644
--- a/doc/guides/cryptodevs/kasumi.rst
+++ b/doc/guides/cryptodevs/kasumi.rst
@@ -90,9 +90,9 @@ In order to enable this virtual crypto PMD, user must:
 
 To use the PMD in an application, user must:
 
-* Call rte_eal_vdev_init("crypto_kasumi") within the application.
+* Call rte_vdev_init("crypto_kasumi") within the application.
 
-* Use --vdev="crypto_kasumi" in the EAL options, which will call rte_eal_vdev_init() internally.
+* Use --vdev="crypto_kasumi" in the EAL options, which will call rte_vdev_init() internally.
 
 The following parameters (all optional) can be provided in the previous two calls:
 
diff --git a/doc/guides/cryptodevs/null.rst b/doc/guides/cryptodevs/null.rst
index e712e2bd7..4a3bfdfd2 100644
--- a/doc/guides/cryptodevs/null.rst
+++ b/doc/guides/cryptodevs/null.rst
@@ -76,9 +76,9 @@ Initialization
 
 To use the PMD in an application, user must:
 
-* Call rte_eal_vdev_init("crypto_null") within the application.
+* Call rte_vdev_init("crypto_null") within the application.
 
-* Use --vdev="crypto_null" in the EAL options, which will call rte_eal_vdev_init() internally.
+* Use --vdev="crypto_null" in the EAL options, which will call rte_vdev_init() internally.
 
 The following parameters (all optional) can be provided in the previous two calls:
 
diff --git a/doc/guides/cryptodevs/scheduler.rst b/doc/guides/cryptodevs/scheduler.rst
index ddc02b4b8..32e565373 100644
--- a/doc/guides/cryptodevs/scheduler.rst
+++ b/doc/guides/cryptodevs/scheduler.rst
@@ -72,10 +72,10 @@ Initialization
 
 To use the PMD in an application, user must:
 
-* Call rte_eal_vdev_init("crpyto_scheduler") within the application.
+* Call rte_vdev_init("crpyto_scheduler") within the application.
 
 * Use --vdev="crpyto_scheduler" in the EAL options, which will call
-  rte_eal_vdev_init() internally.
+  rte_vdev_init() internally.
 
 
 The following parameters (all optional) can be provided in the previous
diff --git a/doc/guides/cryptodevs/snow3g.rst b/doc/guides/cryptodevs/snow3g.rst
index 3f811decc..12b6c4af7 100644
--- a/doc/guides/cryptodevs/snow3g.rst
+++ b/doc/guides/cryptodevs/snow3g.rst
@@ -83,9 +83,9 @@ In order to enable this virtual crypto PMD, user must:
 
 To use the PMD in an application, user must:
 
-* Call rte_eal_vdev_init("crypto_snow3g") within the application.
+* Call rte_vdev_init("crypto_snow3g") within the application.
 
-* Use --vdev="crypto_snow3g" in the EAL options, which will call rte_eal_vdev_init() internally.
+* Use --vdev="crypto_snow3g" in the EAL options, which will call rte_vdev_init() internally.
 
 The following parameters (all optional) can be provided in the previous two calls:
 
diff --git a/doc/guides/cryptodevs/zuc.rst b/doc/guides/cryptodevs/zuc.rst
index ed80c9927..6deb11abe 100644
--- a/doc/guides/cryptodevs/zuc.rst
+++ b/doc/guides/cryptodevs/zuc.rst
@@ -91,9 +91,9 @@ In order to enable this virtual crypto PMD, user must:
 
 To use the PMD in an application, user must:
 
-* Call rte_eal_vdev_init("crypto_zuc") within the application.
+* Call rte_vdev_init("crypto_zuc") within the application.
 
-* Use --vdev="crypto_zuc" in the EAL options, which will call rte_eal_vdev_init() internally.
+* Use --vdev="crypto_zuc" in the EAL options, which will call rte_vdev_init() internally.
 
 The following parameters (all optional) can be provided in the previous two calls:
 
diff --git a/doc/guides/eventdevs/octeontx.rst b/doc/guides/eventdevs/octeontx.rst
index 51ad5696b..6697c544e 100644
--- a/doc/guides/eventdevs/octeontx.rst
+++ b/doc/guides/eventdevs/octeontx.rst
@@ -129,10 +129,10 @@ SSO PCIe VF devices will be probed and then the vdev device can be created
 from the application code, or from the EAL command line based on
 the number of probed/bound SSO PCIe VF device to DPDK by
 
-* Invoking ``rte_eal_vdev_init("event_octeontx")`` from the application
+* Invoking ``rte_vdev_init("event_octeontx")`` from the application
 
 * Using ``--vdev="event_octeontx"`` in the EAL options, which will call
-  rte_eal_vdev_init() internally
+  rte_vdev_init() internally
 
 Example:
 
diff --git a/doc/guides/eventdevs/sw.rst b/doc/guides/eventdevs/sw.rst
index b0c984546..fb63c8444 100644
--- a/doc/guides/eventdevs/sw.rst
+++ b/doc/guides/eventdevs/sw.rst
@@ -60,10 +60,10 @@ Configuration and Options
 The software eventdev is a vdev device, and as such can be created from the
 application code, or from the EAL command line:
 
-* Call ``rte_eal_vdev_init("event_sw0")`` from the application
+* Call ``rte_vdev_init("event_sw0")`` from the application
 
 * Use ``--vdev="event_sw0"`` in the EAL options, which will call
-  rte_eal_vdev_init() internally
+  rte_vdev_init() internally
 
 Example:
 
diff --git a/doc/guides/prog_guide/cryptodev_lib.rst b/doc/guides/prog_guide/cryptodev_lib.rst
index ca3f551b9..4f98f28ca 100644
--- a/doc/guides/prog_guide/cryptodev_lib.rst
+++ b/doc/guides/prog_guide/cryptodev_lib.rst
@@ -70,11 +70,11 @@ From the command line using the --vdev EAL option
 
    --vdev  'cryptodev_aesni_mb_pmd0,max_nb_queue_pairs=2,max_nb_sessions=1024,socket_id=0'
 
-Our using the rte_eal_vdev_init API within the application code.
+Our using the rte_vdev_init API within the application code.
 
 .. code-block:: c
 
-   rte_eal_vdev_init("cryptodev_aesni_mb_pmd",
+   rte_vdev_init("cryptodev_aesni_mb_pmd",
                      "max_nb_queue_pairs=2,max_nb_sessions=1024,socket_id=0")
 
 All virtual Crypto devices support the following initialization parameters:
diff --git a/drivers/net/bonding/rte_eth_bond_api.c b/drivers/net/bonding/rte_eth_bond_api.c
index 80c709112..36ec65d63 100644
--- a/drivers/net/bonding/rte_eth_bond_api.c
+++ b/drivers/net/bonding/rte_eth_bond_api.c
@@ -177,7 +177,7 @@ rte_eth_bond_create(const char *name, uint8_t mode, uint8_t socket_id)
 	if (ret < 0 || ret >= (int)sizeof(devargs))
 		return -ENOMEM;
 
-	ret = rte_eal_vdev_init(name, devargs);
+	ret = rte_vdev_init(name, devargs);
 	if (ret)
 		return -ENOMEM;
 
@@ -200,7 +200,7 @@ rte_eth_bond_create(const char *name, uint8_t mode, uint8_t socket_id)
 int
 rte_eth_bond_free(const char *name)
 {
-	return rte_eal_vdev_uninit(name);
+	return rte_vdev_uninit(name);
 }
 
 static int
diff --git a/lib/librte_cryptodev/rte_cryptodev.c b/lib/librte_cryptodev/rte_cryptodev.c
index 02db8a582..b65cd9ce9 100644
--- a/lib/librte_cryptodev/rte_cryptodev.c
+++ b/lib/librte_cryptodev/rte_cryptodev.c
@@ -439,7 +439,7 @@ rte_cryptodev_get_feature_name(uint64_t flag)
 int
 rte_cryptodev_create_vdev(const char *name, const char *args)
 {
-	return rte_eal_vdev_init(name, args);
+	return rte_vdev_init(name, args);
 }
 
 struct rte_cryptodev *
diff --git a/lib/librte_eal/bsdapp/eal/rte_eal_version.map b/lib/librte_eal/bsdapp/eal/rte_eal_version.map
index 804b94170..2e48a7366 100644
--- a/lib/librte_eal/bsdapp/eal/rte_eal_version.map
+++ b/lib/librte_eal/bsdapp/eal/rte_eal_version.map
@@ -39,8 +39,6 @@ DPDK_2.0 {
 	rte_eal_remote_launch;
 	rte_eal_tailq_lookup;
 	rte_eal_tailq_register;
-	rte_eal_vdev_init;
-	rte_eal_vdev_uninit;
 	rte_eal_wait_lcore;
 	rte_exit;
 	rte_free;
@@ -147,8 +145,6 @@ DPDK_16.11 {
 	rte_delay_us_callback_register;
 	rte_eal_dev_attach;
 	rte_eal_dev_detach;
-	rte_eal_vdrv_register;
-	rte_eal_vdrv_unregister;
 
 } DPDK_16.07;
 
@@ -188,6 +184,10 @@ DPDK_17.05 {
 	rte_pci_unmap_device;
 	rte_pci_unregister;
 	rte_pci_write_config;
+	rte_vdev_init;
+	rte_vdev_register;
+	rte_vdev_uninit;
+	rte_vdev_unregister;
 	vfio_get_container_fd;
 	vfio_get_group_fd;
 	vfio_get_group_no;
diff --git a/lib/librte_eal/common/eal_common_dev.c b/lib/librte_eal/common/eal_common_dev.c
index a7a2c4bd2..a400ddd00 100644
--- a/lib/librte_eal/common/eal_common_dev.c
+++ b/lib/librte_eal/common/eal_common_dev.c
@@ -59,7 +59,7 @@ int rte_eal_dev_attach(const char *name, const char *devargs)
 			goto err;
 
 	} else {
-		if (rte_eal_vdev_init(name, devargs))
+		if (rte_vdev_init(name, devargs))
 			goto err;
 	}
 
@@ -83,7 +83,7 @@ int rte_eal_dev_detach(const char *name)
 		if (rte_pci_detach(&addr) < 0)
 			goto err;
 	} else {
-		if (rte_eal_vdev_uninit(name))
+		if (rte_vdev_uninit(name))
 			goto err;
 	}
 	return 0;
diff --git a/lib/librte_eal/common/eal_common_vdev.c b/lib/librte_eal/common/eal_common_vdev.c
index e436dac03..0037a6416 100644
--- a/lib/librte_eal/common/eal_common_vdev.c
+++ b/lib/librte_eal/common/eal_common_vdev.c
@@ -56,7 +56,7 @@ static void rte_vdev_bus_register(void);
 
 /* register a driver */
 void
-rte_eal_vdrv_register(struct rte_vdev_driver *driver)
+rte_vdev_register(struct rte_vdev_driver *driver)
 {
 	rte_vdev_bus_register();
 
@@ -65,7 +65,7 @@ rte_eal_vdrv_register(struct rte_vdev_driver *driver)
 
 /* unregister a driver */
 void
-rte_eal_vdrv_unregister(struct rte_vdev_driver *driver)
+rte_vdev_unregister(struct rte_vdev_driver *driver)
 {
 	TAILQ_REMOVE(&vdev_driver_list, driver, next);
 }
@@ -194,7 +194,7 @@ alloc_devargs(const char *name, const char *args)
 }
 
 int
-rte_eal_vdev_init(const char *name, const char *args)
+rte_vdev_init(const char *name, const char *args)
 {
 	struct rte_vdev_device *dev;
 	struct rte_devargs *devargs;
@@ -257,7 +257,7 @@ vdev_remove_driver(struct rte_vdev_device *dev)
 }
 
 int
-rte_eal_vdev_uninit(const char *name)
+rte_vdev_uninit(const char *name)
 {
 	struct rte_vdev_device *dev;
 	struct rte_devargs *devargs;
diff --git a/lib/librte_eal/common/include/rte_dev.h b/lib/librte_eal/common/include/rte_dev.h
index 759059889..de20c063f 100644
--- a/lib/librte_eal/common/include/rte_dev.h
+++ b/lib/librte_eal/common/include/rte_dev.h
@@ -153,7 +153,7 @@ struct rte_device {
  * @return
  *  0 on success, negative on error
  */
-int rte_eal_vdev_init(const char *name, const char *args);
+int rte_vdev_init(const char *name, const char *args);
 
 /**
  * Uninitalize a driver specified by name.
@@ -163,7 +163,7 @@ int rte_eal_vdev_init(const char *name, const char *args);
  * @return
  *  0 on success, negative on error
  */
-int rte_eal_vdev_uninit(const char *name);
+int rte_vdev_uninit(const char *name);
 
 /**
  * Attach a device to a registered driver.
diff --git a/lib/librte_eal/common/include/rte_vdev.h b/lib/librte_eal/common/include/rte_vdev.h
index 8db2c00c8..e6b678ea3 100644
--- a/lib/librte_eal/common/include/rte_vdev.h
+++ b/lib/librte_eal/common/include/rte_vdev.h
@@ -92,7 +92,7 @@ struct rte_vdev_driver {
  *   A pointer to a rte_vdev_driver structure describing the driver
  *   to be registered.
  */
-void rte_eal_vdrv_register(struct rte_vdev_driver *driver);
+void rte_vdev_register(struct rte_vdev_driver *driver);
 
 /**
  * Unregister a virtual device driver.
@@ -101,7 +101,7 @@ void rte_eal_vdrv_register(struct rte_vdev_driver *driver);
  *   A pointer to a rte_vdev_driver structure describing the driver
  *   to be unregistered.
  */
-void rte_eal_vdrv_unregister(struct rte_vdev_driver *driver);
+void rte_vdev_unregister(struct rte_vdev_driver *driver);
 
 #define RTE_PMD_REGISTER_VDEV(nm, vdrv)\
 RTE_INIT(vdrvinitfn_ ##vdrv);\
@@ -110,7 +110,7 @@ static void vdrvinitfn_ ##vdrv(void)\
 {\
 	(vdrv).driver.name = RTE_STR(nm);\
 	(vdrv).driver.alias = vdrvinit_ ## nm ## _alias;\
-	rte_eal_vdrv_register(&vdrv);\
+	rte_vdev_register(&vdrv);\
 } \
 RTE_PMD_EXPORT_NAME(nm, __COUNTER__)
 
diff --git a/lib/librte_eal/linuxapp/eal/rte_eal_version.map b/lib/librte_eal/linuxapp/eal/rte_eal_version.map
index 4595a8d6d..670bab3a5 100644
--- a/lib/librte_eal/linuxapp/eal/rte_eal_version.map
+++ b/lib/librte_eal/linuxapp/eal/rte_eal_version.map
@@ -39,8 +39,6 @@ DPDK_2.0 {
 	rte_eal_remote_launch;
 	rte_eal_tailq_lookup;
 	rte_eal_tailq_register;
-	rte_eal_vdev_init;
-	rte_eal_vdev_uninit;
 	rte_eal_wait_lcore;
 	rte_exit;
 	rte_free;
@@ -151,8 +149,6 @@ DPDK_16.11 {
 	rte_delay_us_callback_register;
 	rte_eal_dev_attach;
 	rte_eal_dev_detach;
-	rte_eal_vdrv_register;
-	rte_eal_vdrv_unregister;
 
 } DPDK_16.07;
 
@@ -193,6 +189,10 @@ DPDK_17.05 {
 	rte_pci_unmap_device;
 	rte_pci_unregister;
 	rte_pci_write_config;
+	rte_vdev_init;
+	rte_vdev_register;
+	rte_vdev_uninit;
+	rte_vdev_unregister;
 	vfio_get_container_fd;
 	vfio_get_group_fd;
 	vfio_get_group_no;
diff --git a/test/test/test_cryptodev.c b/test/test/test_cryptodev.c
index 42a716174..029ce8a0f 100644
--- a/test/test/test_cryptodev.c
+++ b/test/test/test_cryptodev.c
@@ -219,7 +219,7 @@ testsuite_setup(void)
 		nb_devs = rte_cryptodev_count_devtype(
 				RTE_CRYPTODEV_AESNI_MB_PMD);
 		if (nb_devs < 1) {
-			ret = rte_eal_vdev_init(
+			ret = rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_AESNI_MB_PMD), NULL);
 
 			TEST_ASSERT(ret == 0,
@@ -239,7 +239,7 @@ testsuite_setup(void)
 		nb_devs = rte_cryptodev_count_devtype(
 				RTE_CRYPTODEV_AESNI_GCM_PMD);
 		if (nb_devs < 1) {
-			TEST_ASSERT_SUCCESS(rte_eal_vdev_init(
+			TEST_ASSERT_SUCCESS(rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_AESNI_GCM_PMD), NULL),
 				"Failed to create instance of"
 				" pmd : %s",
@@ -256,7 +256,7 @@ testsuite_setup(void)
 #endif
 		nb_devs = rte_cryptodev_count_devtype(RTE_CRYPTODEV_SNOW3G_PMD);
 		if (nb_devs < 1) {
-			TEST_ASSERT_SUCCESS(rte_eal_vdev_init(
+			TEST_ASSERT_SUCCESS(rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_SNOW3G_PMD), NULL),
 				"Failed to create instance of"
 				" pmd : %s",
@@ -273,7 +273,7 @@ testsuite_setup(void)
 #endif
 		nb_devs = rte_cryptodev_count_devtype(RTE_CRYPTODEV_KASUMI_PMD);
 		if (nb_devs < 1) {
-			TEST_ASSERT_SUCCESS(rte_eal_vdev_init(
+			TEST_ASSERT_SUCCESS(rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_KASUMI_PMD), NULL),
 				"Failed to create instance of"
 				" pmd : %s",
@@ -290,7 +290,7 @@ testsuite_setup(void)
 #endif
 		nb_devs = rte_cryptodev_count_devtype(RTE_CRYPTODEV_ZUC_PMD);
 		if (nb_devs < 1) {
-			TEST_ASSERT_SUCCESS(rte_eal_vdev_init(
+			TEST_ASSERT_SUCCESS(rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_ZUC_PMD), NULL),
 				"Failed to create instance of"
 				" pmd : %s",
@@ -308,7 +308,7 @@ testsuite_setup(void)
 		nb_devs = rte_cryptodev_count_devtype(
 				RTE_CRYPTODEV_NULL_PMD);
 		if (nb_devs < 1) {
-			ret = rte_eal_vdev_init(
+			ret = rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_NULL_PMD), NULL);
 
 			TEST_ASSERT(ret == 0,
@@ -328,7 +328,7 @@ testsuite_setup(void)
 		nb_devs = rte_cryptodev_count_devtype(
 				RTE_CRYPTODEV_OPENSSL_PMD);
 		if (nb_devs < 1) {
-			ret = rte_eal_vdev_init(
+			ret = rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_OPENSSL_PMD),
 				NULL);
 
@@ -348,7 +348,7 @@ testsuite_setup(void)
 		nb_devs = rte_cryptodev_count_devtype(
 				RTE_CRYPTODEV_ARMV8_PMD);
 		if (nb_devs < 1) {
-			ret = rte_eal_vdev_init(
+			ret = rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_ARMV8_PMD),
 				NULL);
 
@@ -369,7 +369,7 @@ testsuite_setup(void)
 		nb_devs = rte_cryptodev_count_devtype(
 				RTE_CRYPTODEV_SCHEDULER_PMD);
 		if (nb_devs < 1) {
-			ret = rte_eal_vdev_init(
+			ret = rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_SCHEDULER_PMD),
 				NULL);
 
@@ -7825,7 +7825,7 @@ test_scheduler_attach_slave_op(void)
 			snprintf(vdev_name, sizeof(vdev_name), "%s_%u",
 					RTE_STR(CRYPTODEV_NAME_AESNI_MB_PMD),
 					i);
-			ret = rte_eal_vdev_init(vdev_name, NULL);
+			ret = rte_vdev_init(vdev_name, NULL);
 
 			TEST_ASSERT(ret == 0,
 				"Failed to create instance %u of"
diff --git a/test/test/test_cryptodev_perf.c b/test/test/test_cryptodev_perf.c
index 9d9919bd2..d60028db2 100644
--- a/test/test/test_cryptodev_perf.c
+++ b/test/test/test_cryptodev_perf.c
@@ -332,7 +332,7 @@ testsuite_setup(void)
 #endif
 		nb_devs = rte_cryptodev_count_devtype(RTE_CRYPTODEV_AESNI_MB_PMD);
 		if (nb_devs < 1) {
-			ret = rte_eal_vdev_init(
+			ret = rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_AESNI_MB_PMD), NULL);
 
 			TEST_ASSERT(ret == 0,
@@ -350,7 +350,7 @@ testsuite_setup(void)
 #endif
 		nb_devs = rte_cryptodev_count_devtype(RTE_CRYPTODEV_AESNI_GCM_PMD);
 		if (nb_devs < 1) {
-			ret = rte_eal_vdev_init(
+			ret = rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_AESNI_GCM_PMD), NULL);
 
 			TEST_ASSERT(ret == 0,
@@ -368,7 +368,7 @@ testsuite_setup(void)
 #endif
 		nb_devs = rte_cryptodev_count_devtype(RTE_CRYPTODEV_SNOW3G_PMD);
 		if (nb_devs < 1) {
-			ret = rte_eal_vdev_init(
+			ret = rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_SNOW3G_PMD), NULL);
 
 			TEST_ASSERT(ret == 0,
@@ -387,7 +387,7 @@ testsuite_setup(void)
 		nb_devs = rte_cryptodev_count_devtype(
 				RTE_CRYPTODEV_OPENSSL_PMD);
 		if (nb_devs < 1) {
-			ret = rte_eal_vdev_init(
+			ret = rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_OPENSSL_PMD),
 				NULL);
 
@@ -407,7 +407,7 @@ testsuite_setup(void)
 		nb_devs = rte_cryptodev_count_devtype(
 				RTE_CRYPTODEV_ARMV8_PMD);
 		if (nb_devs < 1) {
-			ret = rte_eal_vdev_init(
+			ret = rte_vdev_init(
 				RTE_STR(CRYPTODEV_NAME_ARMV8_PMD),
 				NULL);
 
diff --git a/test/test/test_eventdev.c b/test/test/test_eventdev.c
index 5bd46346d..88b80a928 100644
--- a/test/test/test_eventdev.c
+++ b/test/test/test_eventdev.c
@@ -51,7 +51,7 @@ testsuite_setup(void)
 	if (!count) {
 		printf("Failed to find a valid event device,"
 			" testing with event_skeleton device\n");
-		return rte_eal_vdev_init("event_skeleton", NULL);
+		return rte_vdev_init("event_skeleton", NULL);
 	}
 	return TEST_SUCCESS;
 }
diff --git a/test/test/test_eventdev_octeontx.c b/test/test/test_eventdev_octeontx.c
index 033744f51..9e95722ba 100644
--- a/test/test/test_eventdev_octeontx.c
+++ b/test/test/test_eventdev_octeontx.c
@@ -115,7 +115,7 @@ testsuite_setup(void)
 	if (evdev < 0) {
 		printf("%d: Eventdev %s not found - creating.\n",
 				__LINE__, eventdev_name);
-		if (rte_eal_vdev_init(eventdev_name, NULL) < 0) {
+		if (rte_vdev_init(eventdev_name, NULL) < 0) {
 			printf("Error creating eventdev %s\n", eventdev_name);
 			return TEST_FAILED;
 		}
diff --git a/test/test/test_eventdev_sw.c b/test/test/test_eventdev_sw.c
index fd6447e9b..86efd742d 100644
--- a/test/test/test_eventdev_sw.c
+++ b/test/test/test_eventdev_sw.c
@@ -2999,7 +2999,7 @@ test_sw_eventdev(void)
 	if (evdev < 0) {
 		printf("%d: Eventdev %s not found - creating.\n",
 				__LINE__, eventdev_name);
-		if (rte_eal_vdev_init(eventdev_name, NULL) < 0) {
+		if (rte_vdev_init(eventdev_name, NULL) < 0) {
 			printf("Error creating eventdev\n");
 			return -1;
 		}
diff --git a/test/test/test_link_bonding_rssconf.c b/test/test/test_link_bonding_rssconf.c
index 673ceaeaf..d28db7d7c 100644
--- a/test/test/test_link_bonding_rssconf.c
+++ b/test/test/test_link_bonding_rssconf.c
@@ -550,7 +550,7 @@ test_setup(void)
 		port_id = rte_eth_dev_count();
 		snprintf(name, sizeof(name), SLAVE_DEV_NAME_FMT, port_id);
 
-		retval = rte_eal_vdev_init(name,
+		retval = rte_vdev_init(name,
 			"driver=net_null,size=64,copy=0");
 		TEST_ASSERT_SUCCESS(retval, "Failed to create null device '%s'\n",
 				name);