diff --git a/doc/guides/cryptodevs/aesni_gcm.rst b/doc/guides/cryptodevs/aesni_gcm.rst
index 74e0de63ad..caa0c90404 100644
--- a/doc/guides/cryptodevs/aesni_gcm.rst
+++ b/doc/guides/cryptodevs/aesni_gcm.rst
@@ -96,8 +96,6 @@ In order to enable this virtual crypto PMD, user must:
 
 * Build the multi buffer library (explained in Installation section).
 
-* Set CONFIG_RTE_LIBRTE_PMD_AESNI_GCM=y in config/common_base.
-
 To use the PMD in an application, user must:
 
 * Call rte_vdev_init("crypto_aesni_gcm") within the application.
diff --git a/doc/guides/cryptodevs/aesni_mb.rst b/doc/guides/cryptodevs/aesni_mb.rst
index 15388d20ab..289b762156 100644
--- a/doc/guides/cryptodevs/aesni_mb.rst
+++ b/doc/guides/cryptodevs/aesni_mb.rst
@@ -131,8 +131,6 @@ In order to enable this virtual crypto PMD, user must:
 
 * Build the multi buffer library (explained in Installation section).
 
-* Set CONFIG_RTE_LIBRTE_PMD_AESNI_MB=y in config/common_base.
-
 To use the PMD in an application, user must:
 
 * Call rte_vdev_init("crypto_aesni_mb") within the application.
diff --git a/doc/guides/cryptodevs/armv8.rst b/doc/guides/cryptodevs/armv8.rst
index fee85354ba..d30ef6168e 100644
--- a/doc/guides/cryptodevs/armv8.rst
+++ b/doc/guides/cryptodevs/armv8.rst
@@ -40,9 +40,6 @@ In order to enable this virtual crypto PMD, user must:
 
 	make -C $ARMV8_CRYPTO_LIB_PATH/
 
-* Set CONFIG_RTE_LIBRTE_PMD_ARMV8_CRYPTO=y in
-  config/defconfig_arm64-armv8a-linux-gcc
-
 The corresponding device can be created only if the following features
 are supported by the CPU:
 
diff --git a/doc/guides/cryptodevs/caam_jr.rst b/doc/guides/cryptodevs/caam_jr.rst
index 6d9daf7364..5ef33ae78e 100644
--- a/doc/guides/cryptodevs/caam_jr.rst
+++ b/doc/guides/cryptodevs/caam_jr.rst
@@ -109,36 +109,6 @@ Currently supported by DPDK:
 
 * Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.
 
-Pre-Installation Configuration
-------------------------------
-
-Config File Options
-~~~~~~~~~~~~~~~~~~~
-
-The following options can be modified in the ``config`` file
-to enable caam_jr PMD.
-
-Please note that enabling debugging options may affect system performance.
-
-* ``CONFIG_RTE_LIBRTE_PMD_CAAM_JR`` (default ``n``)
-  By default it is only enabled in common_linux config.
-  Toggle compilation of the ``librte_pmd_caam_jr`` driver.
-
-* ``CONFIG_RTE_LIBRTE_PMD_CAAM_JR_BE`` (default ``n``)
-  By default it is disabled.
-  It can be used when the underlying hardware supports the CAAM in BE mode.
-  LS1043A, LS1046A and LS1012A support CAAM in BE mode.
-  LS1028A supports CAAM in LE mode.
-
-Installations
--------------
-To compile the caam_jr PMD for Linux arm64 gcc target, run the
-following ``make`` command:
-
-.. code-block:: console
-
-   cd <DPDK-source-directory>
-   make config T=arm64-armv8a-linux-gcc install
 
 Enabling logs
 -------------
diff --git a/doc/guides/cryptodevs/ccp.rst b/doc/guides/cryptodevs/ccp.rst
index a43fe92de9..9466f2da3f 100644
--- a/doc/guides/cryptodevs/ccp.rst
+++ b/doc/guides/cryptodevs/ccp.rst
@@ -56,10 +56,8 @@ AEAD algorithms:
 Installation
 ------------
 
-To compile ccp PMD, it has to be enabled in the config/common_base file and openssl
-packages have to be installed in the build environment.
-
-* ``CONFIG_RTE_LIBRTE_PMD_CCP=y``
+To compile ccp PMD, openssl packages have to be installed in the build
+environment.
 
 For Ubuntu 16.04 LTS use below to install openssl in the build system:
 
@@ -86,8 +84,6 @@ The following command assumes ``BFD`` as ``0000:09:00.2``::
 	cd to the top-level DPDK directory
 	./usertools/dpdk-devbind.py -b igb_uio 0000:09:00.2
 
-In order to enable the ccp crypto PMD, user must set CONFIG_RTE_LIBRTE_PMD_CCP=y in config/common_base.
-
 To use the PMD in an application, user must:
 
 * Call rte_vdev_init("crypto_ccp") within the application.
diff --git a/doc/guides/cryptodevs/dpaa2_sec.rst b/doc/guides/cryptodevs/dpaa2_sec.rst
index 3053636b82..080768a2e7 100644
--- a/doc/guides/cryptodevs/dpaa2_sec.rst
+++ b/doc/guides/cryptodevs/dpaa2_sec.rst
@@ -167,31 +167,6 @@ Currently supported by DPDK:
 
 - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.
 
-Pre-Installation Configuration
-------------------------------
-
-Config File Options
-~~~~~~~~~~~~~~~~~~~
-
-Basic DPAA2 config file options are described in :ref:`dpaa2_overview`.
-In addition to those, the following options can be modified in the ``config`` file
-to enable DPAA2_SEC PMD.
-
-Please note that enabling debugging options may affect system performance.
-
-* ``CONFIG_RTE_LIBRTE_PMD_DPAA2_SEC`` (default ``n``)
-  By default it is only enabled in defconfig_arm64-dpaa-* config.
-  Toggle compilation of the ``librte_pmd_dpaa2_sec`` driver.
-
-Installations
--------------
-To compile the DPAA2_SEC PMD for Linux arm64 gcc target, run the
-following ``make`` command:
-
-.. code-block:: console
-
-   cd <DPDK-source-directory>
-   make config T=arm64-dpaa-linux-gcc install
 
 Enabling logs
 -------------
diff --git a/doc/guides/cryptodevs/dpaa_sec.rst b/doc/guides/cryptodevs/dpaa_sec.rst
index db3c8e9189..da14a68d9c 100644
--- a/doc/guides/cryptodevs/dpaa_sec.rst
+++ b/doc/guides/cryptodevs/dpaa_sec.rst
@@ -111,31 +111,6 @@ See :doc:`../platform/dpaa` for setup information
 
 - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.
 
-Pre-Installation Configuration
-------------------------------
-
-Config File Options
-~~~~~~~~~~~~~~~~~~~
-
-Basic DPAA config file options are described in :ref:`dpaa_overview`.
-In addition to those, the following options can be modified in the ``config`` file
-to enable DPAA_SEC PMD.
-
-Please note that enabling debugging options may affect system performance.
-
-* ``CONFIG_RTE_LIBRTE_PMD_DPAA_SEC`` (default ``n``)
-  By default it is only enabled in defconfig_arm64-dpaa-* config.
-  Toggle compilation of the ``librte_pmd_dpaa_sec`` driver.
-
-Installations
--------------
-To compile the DPAA_SEC PMD for Linux arm64 gcc target, run the
-following ``make`` command:
-
-.. code-block:: console
-
-   cd <DPDK-source-directory>
-   make config T=arm64-dpaa-linux-gcc install
 
 Enabling logs
 -------------
diff --git a/doc/guides/cryptodevs/kasumi.rst b/doc/guides/cryptodevs/kasumi.rst
index 09a538f816..45e53de98b 100644
--- a/doc/guides/cryptodevs/kasumi.rst
+++ b/doc/guides/cryptodevs/kasumi.rst
@@ -89,15 +89,6 @@ In order to enable this virtual crypto PMD, user must:
 
 * Build the multi buffer library (explained in Installation section).
 
-* Build DPDK as follows:
-
-.. code-block:: console
-
-	make config T=x86_64-native-linux-gcc
-	sed -i 's,\(CONFIG_RTE_LIBRTE_PMD_KASUMI\)=n,\1=y,' build/.config
-	make
-
-
 To use the PMD in an application, user must:
 
 * Call rte_vdev_init("crypto_kasumi") within the application.
diff --git a/doc/guides/cryptodevs/mvsam.rst b/doc/guides/cryptodevs/mvsam.rst
index 399fe37a67..4a472f8d97 100644
--- a/doc/guides/cryptodevs/mvsam.rst
+++ b/doc/guides/cryptodevs/mvsam.rst
@@ -64,14 +64,6 @@ Limitations
 Installation
 ------------
 
-MVSAM CRYPTO PMD driver compilation is disabled by default due to external dependencies.
-Currently there are two driver specific compilation options in
-``config/common_base`` available:
-
-- ``CONFIG_RTE_LIBRTE_PMD_MVSAM_CRYPTO`` (default: ``n``)
-
-    Toggle compilation of the librte_pmd_mvsam driver.
-
 MVSAM CRYPTO PMD requires MUSDK built with EIP197 support thus following
 extra option must be passed to the library configuration script:
 
diff --git a/doc/guides/cryptodevs/nitrox.rst b/doc/guides/cryptodevs/nitrox.rst
index 85f5212b64..2f0565b49e 100644
--- a/doc/guides/cryptodevs/nitrox.rst
+++ b/doc/guides/cryptodevs/nitrox.rst
@@ -33,13 +33,6 @@ Limitations
 * 3DES Cipher Only combination is not supported.
 * Session-less APIs are not supported.
 
-Installation
-------------
-
-For compiling the Nitrox crypto PMD, please check if the
-CONFIG_RTE_LIBRTE_PMD_NITROX setting is set to `y` in config/common_base file.
-
-* ``CONFIG_RTE_LIBRTE_PMD_NITROX=y``
 
 Initialization
 --------------
diff --git a/doc/guides/cryptodevs/octeontx.rst b/doc/guides/cryptodevs/octeontx.rst
index 4fa199e3c4..11589e7673 100644
--- a/doc/guides/cryptodevs/octeontx.rst
+++ b/doc/guides/cryptodevs/octeontx.rst
@@ -59,14 +59,6 @@ Supported Asymmetric Crypto Algorithms
 * ``RTE_CRYPTO_ASYM_XFORM_RSA``
 * ``RTE_CRYPTO_ASYM_XFORM_MODEX``
 
-Config flags
-------------
-
-For compiling the OCTEON TX crypto poll mode driver, please check if the
-CONFIG_RTE_LIBRTE_PMD_OCTEONTX_CRYPTO setting is set to `y` in
-config/common_base file.
-
-* ``CONFIG_RTE_LIBRTE_PMD_OCTEONTX_CRYPTO=y``
 
 Compilation
 -----------
diff --git a/doc/guides/cryptodevs/octeontx2.rst b/doc/guides/cryptodevs/octeontx2.rst
index 432146db04..20620ba13a 100644
--- a/doc/guides/cryptodevs/octeontx2.rst
+++ b/doc/guides/cryptodevs/octeontx2.rst
@@ -70,10 +70,6 @@ Installation
 The OCTEON TX2 crypto PMD may be compiled natively on an OCTEON TX2 platform or
 cross-compiled on an x86 platform.
 
-Enable OCTEON TX2 crypto PMD in your config file:
-
-* ``CONFIG_RTE_LIBRTE_PMD_OCTEONTX2_CRYPTO=y``
-
 Refer to :doc:`../platform/octeontx2` for instructions to build your DPDK
 application.
 
diff --git a/doc/guides/cryptodevs/openssl.rst b/doc/guides/cryptodevs/openssl.rst
index 7407294813..d2b8c4b997 100644
--- a/doc/guides/cryptodevs/openssl.rst
+++ b/doc/guides/cryptodevs/openssl.rst
@@ -58,8 +58,8 @@ Supported Asymmetric Crypto algorithms:
 Installation
 ------------
 
-To compile openssl PMD, it has to be enabled in the config/common_base file
-and appropriate openssl packages have to be installed in the build environment.
+To compile openssl PMD, appropriate openssl packages have to be installed
+in the build environment.
 
 The newest openssl library version is supported:
 
diff --git a/doc/guides/cryptodevs/qat.rst b/doc/guides/cryptodevs/qat.rst
index e5d2cf4997..616f54f205 100644
--- a/doc/guides/cryptodevs/qat.rst
+++ b/doc/guides/cryptodevs/qat.rst
@@ -207,27 +207,6 @@ Configuring and Building the DPDK QAT PMDs
 Further information on configuring, building and installing DPDK is described
 :doc:`here <../linux_gsg/build_dpdk>`.
 
-
-Quick instructions for QAT cryptodev PMD are as follows:
-
-.. code-block:: console
-
-	cd to the top-level DPDK directory
-	make defconfig
-	sed -i 's,\(CONFIG_RTE_LIBRTE_PMD_QAT_SYM\)=n,\1=y,' build/.config
-	or/and
-	sed -i 's,\(CONFIG_RTE_LIBRTE_PMD_QAT_ASYM\)=n,\1=y,' build/.config
-	make
-
-Quick instructions for QAT compressdev PMD are as follows:
-
-.. code-block:: console
-
-	cd to the top-level DPDK directory
-	make defconfig
-	make
-
-
 .. _building_qat_config:
 
 Build Configuration
@@ -237,38 +216,32 @@ These are the build configuration options affecting QAT, and their default value
 
 .. code-block:: console
 
-	CONFIG_RTE_LIBRTE_PMD_QAT=y
-	CONFIG_RTE_LIBRTE_PMD_QAT_SYM=n
-	CONFIG_RTE_LIBRTE_PMD_QAT_ASYM=n
-	CONFIG_RTE_PMD_QAT_MAX_PCI_DEVICES=48
-	CONFIG_RTE_PMD_QAT_COMP_IM_BUFFER_SIZE=65536
-
-CONFIG_RTE_LIBRTE_PMD_QAT must be enabled for any QAT PMD to be built.
+	RTE_PMD_QAT_MAX_PCI_DEVICES=48
+	RTE_PMD_QAT_COMP_IM_BUFFER_SIZE=65536
 
 Both QAT SYM PMD and QAT ASYM PMD have an external dependency on libcrypto, so are not
-built by default. CONFIG_RTE_LIBRTE_PMD_QAT_SYM/ASYM should be enabled to build them.
+built by default.
 
-The QAT compressdev PMD has no external dependencies, so needs no configuration
-options and is built by default.
+The QAT compressdev PMD has no external dependencies, so is built by default.
 
 The number of VFs per PF varies - see table below. If multiple QAT packages are
-installed on a platform then CONFIG_RTE_PMD_QAT_MAX_PCI_DEVICES should be
+installed on a platform then RTE_PMD_QAT_MAX_PCI_DEVICES should be
 adjusted to the number of VFs which the QAT common code will need to handle.
 
 .. Note::
 
         There are separate config items (not QAT-specific) for max cryptodevs
-        CONFIG_RTE_CRYPTO_MAX_DEVS and max compressdevs CONFIG_RTE_COMPRESS_MAX_DEVS,
+        RTE_CRYPTO_MAX_DEVS and max compressdevs RTE_COMPRESS_MAX_DEVS,
         if necessary these should be adjusted to handle the total of QAT and other
         devices which the process will use. In particular for crypto, where each
         QAT VF may expose two crypto devices, sym and asym, it may happen that the
         number of devices will be bigger than MAX_DEVS and the process will show an error
-        during PMD initialisation. To avoid this problem CONFIG_RTE_CRYPTO_MAX_DEVS may be
+        during PMD initialisation. To avoid this problem RTE_CRYPTO_MAX_DEVS may be
         increased or -w, pci-whitelist domain:bus:devid:func option may be used.
 
 
 QAT compression PMD needs intermediate buffers to support Deflate compression
-with Dynamic Huffman encoding. CONFIG_RTE_PMD_QAT_COMP_IM_BUFFER_SIZE
+with Dynamic Huffman encoding. RTE_PMD_QAT_COMP_IM_BUFFER_SIZE
 specifies the size of a single buffer, the PMD will allocate a multiple of these,
 plus some extra space for associated meta-data. For GEN2 devices, 20 buffers are
 allocated while for GEN1 devices, 12 buffers are allocated, plus 1472 bytes overhead.
@@ -660,25 +633,18 @@ Testing
 
 QAT SYM crypto PMD can be tested by running the test application::
 
-    make defconfig
-    make -j
     cd ./build/app
     ./test -l1 -n1 -w <your qat bdf>
     RTE>>cryptodev_qat_autotest
 
 QAT ASYM crypto PMD can be tested by running the test application::
 
-    make defconfig
-    make -j
     cd ./build/app
     ./test -l1 -n1 -w <your qat bdf>
     RTE>>cryptodev_qat_asym_autotest
 
 QAT compression PMD can be tested by running the test application::
 
-    make defconfig
-    sed -i 's,\(CONFIG_RTE_COMPRESSDEV_TEST\)=n,\1=y,' build/.config
-    make -j
     cd ./build/app
     ./test -l1 -n1 -w <your qat bdf>
     RTE>>compressdev_autotest
@@ -704,7 +670,7 @@ the process cmdline, e.g. using any of the following::
 
     The global RTE_LOG_DP_LEVEL overrides data-path trace so must be set to
     RTE_LOG_DEBUG to see all the trace. This variable is in config/rte_config.h
-    for meson build and config/common_base for gnu make.
+    for meson build.
     Also the dynamic global log level overrides both sets of trace, so e.g. no
     QAT trace would display in this case::
 
diff --git a/doc/guides/cryptodevs/scheduler.rst b/doc/guides/cryptodevs/scheduler.rst
index 7004ca431a..ee23b25b73 100644
--- a/doc/guides/cryptodevs/scheduler.rst
+++ b/doc/guides/cryptodevs/scheduler.rst
@@ -32,14 +32,6 @@ Limitations
   is enabled.
 
 
-Installation
-------------
-
-To build DPDK with CRYTPO_SCHEDULER_PMD the user is required to set
-CONFIG_RTE_LIBRTE_PMD_CRYPTO_SCHEDULER=y in config/common_base, and
-recompile DPDK
-
-
 Initialization
 --------------
 
diff --git a/doc/guides/cryptodevs/snow3g.rst b/doc/guides/cryptodevs/snow3g.rst
index e0cddc2d77..45c4d2342e 100644
--- a/doc/guides/cryptodevs/snow3g.rst
+++ b/doc/guides/cryptodevs/snow3g.rst
@@ -88,14 +88,6 @@ In order to enable this virtual crypto PMD, user must:
 
 * Build the multi buffer library (explained in Installation section).
 
-* Build DPDK as follows:
-
-.. code-block:: console
-
-	make config T=x86_64-native-linux-gcc
-	sed -i 's,\(CONFIG_RTE_LIBRTE_PMD_SNOW3G\)=n,\1=y,' build/.config
-	make
-
 To use the PMD in an application, user must:
 
 * Call rte_vdev_init("crypto_snow3g") within the application.
diff --git a/doc/guides/cryptodevs/virtio.rst b/doc/guides/cryptodevs/virtio.rst
index 2c46bda866..c2b11c4e63 100644
--- a/doc/guides/cryptodevs/virtio.rst
+++ b/doc/guides/cryptodevs/virtio.rst
@@ -83,11 +83,7 @@ The unit test cases can be tested as below:
 .. code-block:: console
 
     reserve enough huge pages
-    cd to the top-level DPDK directory
-    export RTE_TARGET=x86_64-native-linux-gcc
-    export RTE_SDK=`pwd`
     cd to app/test
-    type the command "make" to compile
     run the tests with "./test"
     type the command "cryptodev_virtio_autotest" to test
 
@@ -96,11 +92,7 @@ The performance can be tested as below:
 .. code-block:: console
 
     reserve enough huge pages
-    cd to the top-level DPDK directory
-    export RTE_TARGET=x86_64-native-linux-gcc
-    export RTE_SDK=`pwd`
     cd to app/test-crypto-perf
-    type the command "make" to compile
     run the tests with the following command:
 
     ./dpdk-test-crypto-perf -l 0,1 -- --devtype crypto_virtio \
diff --git a/doc/guides/cryptodevs/zuc.rst b/doc/guides/cryptodevs/zuc.rst
index 9b51ba141d..4842a25b5a 100644
--- a/doc/guides/cryptodevs/zuc.rst
+++ b/doc/guides/cryptodevs/zuc.rst
@@ -88,14 +88,6 @@ In order to enable this virtual crypto PMD, user must:
 
 * Build the multi buffer library (explained in Installation section).
 
-* Build DPDK as follows:
-
-.. code-block:: console
-
-	make config T=x86_64-native-linux-gcc
-	sed -i 's,\(CONFIG_RTE_LIBRTE_PMD_ZUC\)=n,\1=y,' build/.config
-	make
-
 To use the PMD in an application, user must:
 
 * Call rte_vdev_init("crypto_zuc") within the application.