diff --git a/doc/guides/cryptodevs/aesni_gcm.rst b/doc/guides/cryptodevs/aesni_gcm.rst
index bbe9d99840..99a8979d49 100644
--- a/doc/guides/cryptodevs/aesni_gcm.rst
+++ b/doc/guides/cryptodevs/aesni_gcm.rst
@@ -40,8 +40,8 @@ Installation
 To build DPDK with the AESNI_GCM_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.0, which
-can be downloaded in `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
+The latest version of the library supported by this PMD is v1.1, which
+can be downloaded in `<https://github.com/01org/intel-ipsec-mb/archive/v1.1.zip>`_.
 
 .. code-block:: console
 
@@ -84,8 +84,8 @@ and the external crypto libraries supported by them:
    17.08 - 18.02  Multi-buffer library 0.46 - 0.48
    18.05 - 19.02  Multi-buffer library 0.49 - 0.52
    19.05 - 20.08  Multi-buffer library 0.52 - 0.55
-   20.11 - 21.08  Multi-buffer library 0.53 - 1.0*
-   21.11+         Multi-buffer library 1.0*
+   20.11 - 21.08  Multi-buffer library 0.53 - 1.1*
+   21.11+         Multi-buffer library 1.0  - 1.1*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/aesni_mb.rst b/doc/guides/cryptodevs/aesni_mb.rst
index 948128ae9b..1777eb25c1 100644
--- a/doc/guides/cryptodevs/aesni_mb.rst
+++ b/doc/guides/cryptodevs/aesni_mb.rst
@@ -86,8 +86,8 @@ Installation
 To build DPDK with the AESNI_MB_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.0, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
+The latest version of the library supported by this PMD is v1.1, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.1.zip>`_.
 
 .. code-block:: console
 
@@ -132,8 +132,8 @@ and the Multi-Buffer library version supported by them:
    18.05 - 19.02   0.49 - 0.52
    19.05 - 19.08   0.52
    19.11 - 20.08   0.52 - 0.55
-   20.11 - 21.08   0.53 - 1.0*
-   21.11+          1.0*
+   20.11 - 21.08   0.53 - 1.1*
+   21.11+          1.0  - 1.1*
    ==============  ============================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/kasumi.rst b/doc/guides/cryptodevs/kasumi.rst
index bc82744fcc..72318f2bd4 100644
--- a/doc/guides/cryptodevs/kasumi.rst
+++ b/doc/guides/cryptodevs/kasumi.rst
@@ -36,8 +36,8 @@ Installation
 To build DPDK with the KASUMI_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.0, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
+The latest version of the library supported by this PMD is v1.1, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.1.zip>`_.
 
 After downloading the library, the user needs to unpack and compile it
 on their system before building DPDK:
@@ -78,8 +78,8 @@ and the external crypto libraries supported by them:
    DPDK version   Crypto library version
    =============  ================================
    16.11 - 19.11  LibSSO KASUMI
-   20.02 - 21.08  Multi-buffer library 0.53 - 1.0*
-   21.11+         Multi-buffer library 1.0*
+   20.02 - 21.08  Multi-buffer library 0.53 - 1.1*
+   21.11+         Multi-buffer library 1.0  - 1.1*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/snow3g.rst b/doc/guides/cryptodevs/snow3g.rst
index 4ba71d66ce..68a1462c13 100644
--- a/doc/guides/cryptodevs/snow3g.rst
+++ b/doc/guides/cryptodevs/snow3g.rst
@@ -35,8 +35,8 @@ Installation
 To build DPDK with the SNOW3G_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.0, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
+The latest version of the library supported by this PMD is v1.1, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.1.zip>`_.
 
 After downloading the library, the user needs to unpack and compile it
 on their system before building DPDK:
@@ -77,8 +77,8 @@ and the external crypto libraries supported by them:
    DPDK version   Crypto library version
    =============  ================================
    16.04 - 19.11  LibSSO SNOW3G
-   20.02 - 21.08  Multi-buffer library 0.53 - 1.0*
-   21.11+         Multi-buffer library 1.0*
+   20.02 - 21.08  Multi-buffer library 0.53 - 1.1*
+   21.11+         Multi-buffer library 1.0  - 1.1*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/zuc.rst b/doc/guides/cryptodevs/zuc.rst
index 8c925665b5..c5f0ded34e 100644
--- a/doc/guides/cryptodevs/zuc.rst
+++ b/doc/guides/cryptodevs/zuc.rst
@@ -35,8 +35,8 @@ Installation
 To build DPDK with the ZUC_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.0, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
+The latest version of the library supported by this PMD is v1.1, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.1.zip>`_.
 
 After downloading the library, the user needs to unpack and compile it
 on their system before building DPDK:
@@ -77,8 +77,8 @@ and the external crypto libraries supported by them:
    DPDK version   Crypto library version
    =============  ================================
    16.11 - 19.11  LibSSO ZUC
-   20.02 - 21.08  Multi-buffer library 0.53 - 1.0*
-   21.11+         Multi-buffer library 1.0*
+   20.02 - 21.08  Multi-buffer library 0.53 - 1.1*
+   21.11+         Multi-buffer library 1.0  - 1.1*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.