diff --git a/doc/guides/cryptodevs/aesni_gcm.rst b/doc/guides/cryptodevs/aesni_gcm.rst
index 5192287ed8..e0d9188a5d 100644
--- a/doc/guides/cryptodevs/aesni_gcm.rst
+++ b/doc/guides/cryptodevs/aesni_gcm.rst
@@ -40,8 +40,8 @@ Installation
 To build DPDK with the AESNI_GCM_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.3, which
-can be downloaded in `<https://github.com/01org/intel-ipsec-mb/archive/v1.3.zip>`_.
+The latest version of the library supported by this PMD is v1.4, which
+can be downloaded in `<https://github.com/01org/intel-ipsec-mb/archive/v1.4.zip>`_.
 
 .. code-block:: console
 
@@ -85,7 +85,7 @@ and the external crypto libraries supported by them:
    18.05 - 19.02  Multi-buffer library 0.49 - 0.52
    19.05 - 20.08  Multi-buffer library 0.52 - 0.55
    20.11 - 21.08  Multi-buffer library 0.53 - 1.3*
-   21.11+         Multi-buffer library 1.0  - 1.3*
+   21.11+         Multi-buffer library 1.0  - 1.4*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/aesni_mb.rst b/doc/guides/cryptodevs/aesni_mb.rst
index eaa853e6b2..879eb42d44 100644
--- a/doc/guides/cryptodevs/aesni_mb.rst
+++ b/doc/guides/cryptodevs/aesni_mb.rst
@@ -99,8 +99,8 @@ Installation
 To build DPDK with the AESNI_MB_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.3, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.3.zip>`_.
+The latest version of the library supported by this PMD is v1.4, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.4.zip>`_.
 
 .. code-block:: console
 
@@ -146,7 +146,7 @@ and the Multi-Buffer library version supported by them:
    19.05 - 19.08   0.52
    19.11 - 20.08   0.52 - 0.55
    20.11 - 21.08   0.53 - 1.3*
-   21.11+          1.0  - 1.3*
+   21.11+          1.0  - 1.4*
    ==============  ============================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/chacha20_poly1305.rst b/doc/guides/cryptodevs/chacha20_poly1305.rst
index 883d924e31..ee7b6e54e5 100644
--- a/doc/guides/cryptodevs/chacha20_poly1305.rst
+++ b/doc/guides/cryptodevs/chacha20_poly1305.rst
@@ -31,8 +31,8 @@ Installation
 To build DPDK with the Chacha20-poly1305 PMD the user is required to download
 the multi-buffer library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.3, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.3.zip>`_.
+The latest version of the library supported by this PMD is v1.4, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.4.zip>`_.
 
 After downloading the library, the user needs to unpack and compile it
 on their system before building DPDK:
@@ -72,7 +72,7 @@ and the external crypto libraries supported by them:
    =============  ================================
    DPDK version   Crypto library version
    =============  ================================
-   21.11+         Multi-buffer library 1.0-1.3*
+   21.11+         Multi-buffer library 1.0-1.4*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/kasumi.rst b/doc/guides/cryptodevs/kasumi.rst
index 90f5379130..b9c512703a 100644
--- a/doc/guides/cryptodevs/kasumi.rst
+++ b/doc/guides/cryptodevs/kasumi.rst
@@ -44,8 +44,8 @@ Installation
 To build DPDK with the KASUMI_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.3, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.3.zip>`_.
+The latest version of the library supported by this PMD is v1.4, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.4.zip>`_.
 
 After downloading the library, the user needs to unpack and compile it
 on their system before building DPDK:
@@ -87,7 +87,7 @@ and the external crypto libraries supported by them:
    =============  ================================
    16.11 - 19.11  LibSSO KASUMI
    20.02 - 21.08  Multi-buffer library 0.53 - 1.3*
-   21.11+         Multi-buffer library 1.0  - 1.3*
+   21.11+         Multi-buffer library 1.0  - 1.4*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/snow3g.rst b/doc/guides/cryptodevs/snow3g.rst
index 4454fa480b..af8ccaa2fd 100644
--- a/doc/guides/cryptodevs/snow3g.rst
+++ b/doc/guides/cryptodevs/snow3g.rst
@@ -49,8 +49,8 @@ library and compile it on their user system before building DPDK.
 
 For x86 system, the multi-buffer library is available
 `here <https://github.com/01org/intel-ipsec-mb>`_.
-The latest version of the library supported by this PMD is v1.3, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.3.zip>`_.
+The latest version of the library supported by this PMD is v1.4, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.4.zip>`_.
 
 For Arm system, ARM64 port of the multi-buffer library can be downloaded from
 `<https://gitlab.arm.com/arm-reference-solutions/ipsec-mb/-/tree/main/>`_. The
@@ -96,7 +96,7 @@ and the external crypto libraries supported by them:
    =============  ================================
    16.04 - 19.11  LibSSO SNOW3G
    20.02 - 21.08  Multi-buffer library 0.53 - 1.3*
-   21.11+         Multi-buffer library 1.0  - 1.3*
+   21.11+         Multi-buffer library 1.0  - 1.4*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/zuc.rst b/doc/guides/cryptodevs/zuc.rst
index 484f759b04..43eab4decb 100644
--- a/doc/guides/cryptodevs/zuc.rst
+++ b/doc/guides/cryptodevs/zuc.rst
@@ -48,8 +48,8 @@ library and compile it on their user system before building DPDK.
 
 For x86 system, the multi-buffer library is available
 `here <https://github.com/01org/intel-ipsec-mb>`_.
-The latest version of the library supported by this PMD is v1.3, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.3.zip>`_.
+The latest version of the library supported by this PMD is v1.4, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.4.zip>`_.
 
 For Arm system, ARM64 port of the multi-buffer library can be downloaded from
 `<https://gitlab.arm.com/arm-reference-solutions/ipsec-mb/-/tree/main/>`_. The
@@ -95,7 +95,7 @@ and the external crypto libraries supported by them:
    =============  ================================
    16.11 - 19.11  LibSSO ZUC
    20.02 - 21.08  Multi-buffer library 0.53 - 1.3*
-   21.11+         Multi-buffer library 1.0  - 1.3*
+   21.11+         Multi-buffer library 1.0  - 1.4*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/rel_notes/release_23_07.rst b/doc/guides/rel_notes/release_23_07.rst
index 4459144140..10e456b14e 100644
--- a/doc/guides/rel_notes/release_23_07.rst
+++ b/doc/guides/rel_notes/release_23_07.rst
@@ -185,6 +185,10 @@ New Features
 
   * Added SM2 algorithm support in asymmetric crypto operations.
 
+* **Updated ipsec_mb crypto driver.**
+
+  * Added Intel IPsec MB v1.4 library support for x86 platform.
+
 * **Added PDCP Library.**
 
   Added an experimental library to provide PDCP UL and DL processing of packets.